DECLARE 
	@uid AS VARCHAR(500),
	@eid AS VARCHAR(50)

SELECT TOP 1 @uid = [uid], @eid = [eid] FROM [gen_config] WHERE [active] = 1

IF NOT EXISTS(SELECT id FROM syn_tipoAutenticacion WHERE id = 3 AND tipoAutenticacion_codigo = 'OAuth_20')
BEGIN
	INSERT INTO [dbo].[syn_tipoAutenticacion]
           ([id]
           ,[uid]
           ,[eid]
           ,[id_usuario_modifico]
           ,[id_usuario_creo]
           ,[fechaModificacion]
           ,[fechaCreacion]
           ,[active]
           ,[tipoAutenticacion]
           ,[tipoAutenticacion_codigo])
     VALUES
           (3, @uid, @eid, 1, 1, GETDATE(), GETDATE(), 1, 'OAuth 2.0', 'OAuth_20')
END